domain name value in YAML refers to domain Description instead of DNS domain
04/11/2016 10:17 AM - Marek Hulan

Status: Closed
Priority: Normal
Assignee: Marek Hulén
Category: External Nodes
Target version: 1.12.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1308931 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/3414
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqgi?id=1308931
Description of problem:
domain name value in YAML refers to domain Description instead of DNS domain

How reproducible:

Open the Satellite 6.1.6 web interface

- Go to Infrastructure --> Domains

- Click on a domain.

- A new screen opens with the 'Domain’' tab opened. Please note that this tab contains 3 fields: 'DNS domain', 'Description’' and 'DNS
Capsule'.

- Now go to Hosts --> All hosts

- Select a managed host.

- Click on the YAML button.

- The YAML file includes a 'domainname’ variable. The value of this variable is set to the 'Description’ field value just mentioned.
However, would expect this variable to be filled with the 'DNS domain’ field value.

Version-Release number of selected component (if applicable):
6.1.6

Steps to Reproduce:
1.

2.

3.

Actual results:

Expected results:

Additional info:

Associated revisions

Revision 5742cd06 - 04/11/2016 11:30 AM - Marek Hulan
Fixes #14575 - fix domain ENC info

History

#1 - 04/11/2016 10:18 AM - Marek Hulan
- Category set to External Nodes
- Status changed from New to Assigned

- Assignee set to Marek Hulan

#2 - 04/11/2016 10:28 AM - The Foreman Bot
https://bugzilla.redhat.com/show_bug.cgi?id=1308931

- Status changed from Assigned to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/3414 added

#3 - 04/11/2016 12:01 PM - Marek Hulan
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 5742cd06c6cd4d3048aa82ea48a9d3d183075816.

#4 - 04/12/2016 03:17 AM - Dominic Cleal

- translation missing: en.field_release set to 136
